%define version 4.4.0
%define rversion 0.6

%define realname SSH2
%define modname ssh2
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A36_%{modname}.ini

Summary:	PHP bindings for the libssh2 library
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/ssh2
Source0:	ssh2-%{rversion}.tar.bz2
Patch0:		ssh2-0.4.1-lib64.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	libssh-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Provides bindings to the functions of libssh2 which implements the
SSH2 protocol.

%prep

%setup -q -n ssh2-%{rversion}
%patch0 -p0

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.6-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.6-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.6-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.6-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.6-1mdk
- 0.6
- rebuilt against a non hardened-php aware php lib

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-3mdk
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-1mdk
- initial mandrake package
- added P0
